%global oname jaxb-api
Name:          glassfish-jaxb-api
Version:       2.2.3
Release:       %mkrel 2
Summary:       JAXB API bundle for GlassFish V3
Group:         Development/Java
License:       CDDLv1.1, GPLv2 + Classpath exception
Url:           http://jaxb.java.net/
# svn export https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_4u1/tools/lib/redist/jaxb-api-src.zip
Source0:       jaxb-api-src.zip
Source1:       http://download.java.net/maven/2/javax/xml/bind/jaxb-api/%{version}/jaxb-api-%{version}.pom

# remove: javax.activation activation; org.jvnet.wagon-svn wagon-svn
# change javax.xml.stream with stax
# added maven-compiler-plugin, maven-plugin-bundle, maven-javadoc-plugin and maven-jar-plugin configuration
Patch0:        glassfish-jaxb-api-2.2.3-fixbuild.patch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared-osgi

BuildRequires: forge-parent

BuildRequires: bea-stax-api
Requires:      bea-stax-api

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
BuildArch:     noarch

%description
GlassFish JAXB (JSR 222) API.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
GlassFish JAXB (JSR 222) API.

This package contains javadoc for %{name}.

%prep
%setup -T -q -c glassfish-jaxb-api-%{version}
mkdir -p src/main/java src/main/resources

(
  cd src/main/java
  unzip -qq %{SOURCE0}
  find . -iname 'package.html' -delete
)

cp -pr %{SOURCE1} pom.xml
%patch0 -p0

# clone source directory structure
find src/ -type d | while read dirname ; do
  newdirname=`echo $dirname | sed "s:src/main/java:src/main/resources:g"`
  mkdir -p $newdirname
done

# copy Messages.properties files except *.java sources
find src/ -type f | grep -v "\.java" | while read cpfrom ; do
  cpto=`echo $cpfrom | sed "s:src/main/java:src/main/resources:g"`
  cp $cpfrom $cpto
done

%build

mvn-rpmbuild \
  install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{oname}-%{version}.jar  %{buildroot}%{_javadir}/%{oname}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{oname}.pom
%add_maven_depmap JPP-%{oname}.pom %{oname}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{oname}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{oname}

%files
%{_javadir}/%{oname}.jar
%{_mavenpomdir}/JPP-%{oname}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{oname}



%changelog

* Tue Jan 17 2012 dmorgan <dmorgan> 2.2.3-2.mga2
+ Revision: 197589
- Clean spec file

  + gil <gil>
    - build fix
      removed jaf apis from pom file (used jvm apis)
      configured maven plugins
      used bea-stax-api instead of glassfish-stax-api
      added OSGi support
    - imported package glassfish-jaxb-api


* Fri Jul 22 2011 gil <gil> 2.2.3-0.%%mkrel
- initial rpm

